function f= JSel_ln(eu,mag)
% Jet Selection Logic for Linear Analysis
% f= JSel_ln(eu,mag) 
% Combine the attitude and rate errors
% Inputs
% eu(3) : Rotational Direction unit vector
% mag   : Magnitude 

eu= eu*sign(mag);                         % Keep the magnitude always positive but change direction
fp= Jet_Select_dot(-eu,3)*abs(mag);       % Thruster +ve forces proportion to magnitude
fn= Jet_Select_dot(+eu,3)*abs(mag);       % Thruster -ve forces proportion to magnitude
f = 0.5*(fp-fn);
