% File: start.m
global J JI wo Th nt r2d d2r Accel Ts Tmax Kr
global ang_acc deadband kledge ratlim_up ratlim_lo
r2d=180/pi; d2r=pi/180;
Th=20; nt=12; Ts=0.02;                           % Thrusters
wo= 0.0011;                                      % Orbital Rate
omg=20*wo; zeb=0.85;                             % ACS bandwidth, damping
Tmax=200;                                        % Max Torque
J= [0.1187e9, -0.476e7, -0.1216e7; ...
    -0.476e7, 0.3863e8, -0.4303e6; ...
   -0.1216e7, -0.4303e6, 0.1101e9];
JI= inv(J);
[Ave, Bve, Cve, Dve]= rbsc;                      % Load Rigid-Body Vehicle Model from Flixan
[Ave, Bve, Cve, Dve]= lfss_38m;                  % Load Vehicle Model from Flixan
load Krcs.mat -ascii                             % Jet Selection Matrix for (roll,ptch,yaw)
load Accel.mat -ascii                            % Thrusters Acceleration Matrix
Ainv=pinv(Accel);

% Phase Plane Logic in (deg)
ang_acc=Th*[2*160/J(1,1), 4*160/J(2,2), 4*70/J(3,3)]*15; % [0.03,  0.1,  0.014]*0.05
deadband = [1.0,  1.0,  1.0]*0.5;                % RCS dead-band
kledge   = [1.2,  1.2,  1.2];
ratlim_up= [0.14, 0.08, 0.13]*0.2;               % Upper rate Limit [0.14, 0.08, 0.13]*0.5
ratlim_lo= [0.14, 0.08, 0.13]*0.34*0.2;          % Lower rate Limit [0.14, 0.08, 0.13]*0.45*0.5
Na_max=0.636/(deadband(1)*d2r);                  % Max Describing Function
Kr(1)= ratlim_up(1) /(2*ang_acc(1));             % attit + rate mixing gain
Kr(2)= ratlim_up(2) /(2*ang_acc(2));
Kr(3)= ratlim_up(3) /(2*ang_acc(3));

