function dot= Linear2_LVLH(x,Tc,Td)             % s/c Dynamics with CMG
global J JI d2r r2d wo M1 M2 Tg

% dot= Linear_LVLH(x,Tc)
% Space Station Linearized Dynamics in the Local Vertical Local Horizontal plane
% State Variables (x)
% x(1-3)   = vehicle rates in LVLH
% x(4-6)   = Attitude in LVLH
% x(7-9)   = CMG Momentum in body 
% Inputs:
% Tc(3)    = Control Torque (ft-lb)

dot= zeros(9,1);
wb  = x(1:3);                                  % Vehicle rates wrt LVLH
the = x(4:6);                                  % Vehicle Atttitude LVLH
hcmg= x(7:9);                                  % CMG Momentum in body

dot(1:3)= JI*(M1*wb + M2*the +Tg +Td - Tc);
dot(4:6)= wb(1:3);  
dot(7)= Tc(1) + wo*hcmg(3);
dot(8)= Tc(2);
dot(9)= Tc(3) - wo*hcmg(1);
