function dot= Linear_LVLH(x,Tc,Td)             % s/c Dynamics with CMG
global J JI d2r r2d wo

% dot= Linear_LVLH(x,Tc)
% Space Station Linearized Dynamics in the Local Vertical Local Horizontal plane
% State Variables (x)
% x(1-3)   = vehicle rates in LVLH
% x(4-6)   = Attitude in LVLH
% x(7-9)   = CMG Momentum in body 
% Inputs:
% Tc(3)    = Control Torque (ft-lb)

I1=J(1,1); I2=J(2,2); I3=J(3,3);
dot= zeros(9,1);
wb  = x(1:3);                                  % Vehicle rates wrt LVLH
the = x(4:6);                                  % Vehicle Atttitude LVLH
hcmg= x(7:9);                                  % CMG Momentum in body

dot(1)= (4*wo^2*(I3-I2)*the(1) +wo*(I1-I2+I3)*wb(3) +Td(1) -Tc(1))/I1;
dot(2)= (3*wo^2*(I3-I1)*the(2)                      +Td(2) -Tc(2))/I2;
dot(3)=   (wo^2*(I1-I2)*the(3) +wo*(I1-I2+I3)*wb(1) +Td(3) -Tc(3))/I3;
dot(4:6)= wb(1:3);  
dot(7)= Tc(1) + wo*hcmg(3);
dot(8)= Tc(2);
dot(9)= Tc(3) - wo*hcmg(1);
