function dot= Linear_Pitch_LVLH(x,Tc,Td)             % s/c Dynamics with CMG
global J JI d2r r2d wo

% dot= Linear_LVLH(x,Tc)
% Space Station Linearized Dynamics in the Local Vertical Local Horizontal plane
% State Variables (x)
% x(1-3)   = vehicle rates in LVLH
% x(4-6)   = Attitude in LVLH
% x(7-9)   = CMG Momentum in body 
% Inputs:
% Tc(3)    = Control Torque (ft-lb)

I1=J(1,1); I2=J(2,2); I3=J(3,3);
dot= zeros(3,1);
wb  = x(1);                                  % Vehicle rates wrt LVLH
the = x(2);                                  % Vehicle Atttitude LVLH
hcmg= x(3);                                  % CMG Momentum in body

dot(1)= (3*wo^2*(I3-I1)*the +Td -Tc)/I2;
dot(2)= wb;  
dot(3)= Tc;
