% LQR Design for Gravity Gradient Momentum Management --------
global wo M1 M2 J Tg
I11= J(1,1); I22= J(2,2); I33= J(3,3);
I12= J(1,2); I32= J(3,2); I31= J(3,1);
Tg=(wo^2)*[-4*I32, 3*I31, I12]';

M1= wo*[0,          2*I32,    I11-I22+I33; ...
     -2*I32,         0,         2*I12; ...
     -I11+I22-I33, -2*I12,      0];
 
M2= (wo^2)*[4*(I33-I22),     3*I12,     -I31; ...
            4*I12,       3*(I33-I11),    I32; ...
           -4*I31,          -3*I32,    (I11-I22)];
       
% Coupled States x: (rol-pit-yaw-mom), (phi,the,psi), (X-Y-Z-cmg moment), (X-Y-Z-cmg moment-integr)
[A0,B0,C0,D0]=linmod('Vehicle_Lin');             % Create State-Space system for ...
sys=ss(A0,B0,C0,D0);                             % frequency response analysis
Q0=diag([1.e-3,  1000,  1.e-3, ...               % rate (wl) weights
         1.e-5,  1000,  1.e-5, ...               % lvlh attitude weights
         1.e-10, 1.e-12, 1.e-10, ...             % CMG Momentum weights
         1.e-12, 3.e-13, 1.e-12, ...             % CMG Moment-Integral weights
         1.e-5, 1.e-5]);                         % Disturb Accomod Filter weights
R0=diag([1, 1, 1]);                              % CMG Control torque Weights
Kpqr = lqr(sys,Q0,R0);
save Kpqr.mat Kpqr -ascii                        % Save the LQR gains in Kpqr.mat
