function out= Phase_Plane(Raterrf,Atterrf,Tfuel0)
global nt r2d Th Jloc Jdir Ts
global ang_acc deadband kledge ratlim_up ratlim_lo

rat_err= Raterrf*r2d;
att_err= Atterrf*r2d;
Cnt= [0;0;0];                                          % Control to JetSel

for iax=1:3
    sign_rat_err= sign(rat_err(iax)+1.0e-8);
    x1 = sign_rat_err*att_err(iax);
    x2 = abs(rat_err(iax));
    ang_acc_gain= 2*ang_acc(iax);
    curve = rat_err(iax)^2/ang_acc_gain;
    
    sw1= -curve + deadband(iax);
    sw2= -(curve + (kledge(iax)*deadband(iax)));
    sw3= ratlim_up(iax);
    sw5= ratlim_lo(iax);
    
    if (x1>sw1) | (x2>sw3), Cnt(iax)= -sign_rat_err;    % Region 1
    elseif (x1 >= sw2), Cnt(iax)= 0;                    % Region 2
    elseif (x2 < sw5), Cnt(iax)= sign_rat_err;          % Region 3
    else, Cnt(iax)= 0;  
    end
end

% Select Jets
mg=Cnt'*Cnt;
if mg>0
    eu= Cnt/sqrt(Cnt'*Cnt);                             % Direction Unit vect
    fp= Jet_Select_dot(-eu,2);                          % Get Thruster Forces
else
    eu=Cnt; fp=zeros(nt,1);
end

% Calculate Total Fuel
Tothr=0;
for i=1:nt, Tothr=Tothr+fp(i); end
Tfuel2= Tfuel0 + Tothr*Ts;                              % Total fuel
out = [fp; eu; Tfuel2];                              % Throttle out (0 or 1)