global J JI wo r2d d2r Accel Ts
global Th nt Jloc Jdir CB2L Tmax Hmax Hmag Kr
global ang_acc deadband kledge ratlim_up ratlim_lo
r2d=180/pi; d2r=pi/180; Ts=0.2;

wo= 0.0011;                                     % Orbital Rate 0.001
atto=[-0.5, 6.4, 3.0]'*d2r;                     % TEA attitude
atto=[0, 0, 0]'*d2r;                            % Initial LVLH attitude
wbo= [0 -wo  0]'; wbm=sqrt(wbo'*wbo);           % Initial body rate & magnitude [0 -wo  0]'
J= [0.119416e9, -0.476e7,   -0.1216e7; ...      % Moments of Inertia Matrix
   -0.476e7,     0.40408e8, -0.30121e6; ...
   -0.1216e7,   -0.30121e6,  0.110166e9]; JI=inv(J);
Ixy=0.476e+7; Ixz=0.1216e+7; Iyz=0.30121e+6;

[Av, Bv, Cv, Dv]= vehicle_rigid;                % Load the Rigid Vehicle State-Space Model 
[Af, Bf, Cf, Df]= vehicle_flex34;               % Load the Flex  Vehicle State-Space Model 
load Kpqr -ascii;                               % Load the LQR gains from previous design

Hco= [0, 0, 0]';                                % Initial CMG Momentum [0,0,0]';
Hmag=sqrt(Hco'*Hco);                            % Momentum Magnitude
ini= [wbo; atto; Hco];                          % State Initializ.
CB2L=eye(3);                                    % Initialize Body to LVLH Transform
Tmax= 100;                                      % Max CMG Torque (ft-lb)
Hmax= 20000;                                    % Max CMG Momentum (ft-lb-sec)
omg=20*wo; zeb=0.95;                            % ACS bandwidth, damping

% RCS Jet Directions
nt=12; Th=20;                                   % Number of thrusters
Jdir= zeros(3,nt); Jloc=Jdir;
Jdir(:,1) = [ 1.0,  0.0,  0.0]';                % UR+X  25
Jdir(:,2) = [-1.0,  0.0,  0.0]';                % UR-X
Jdir(:,3) = [ 0.0, -1.0,  0.0]';                % UR-Y
Jdir(:,4) = [ 1.0,  0.0,  0.0]';                % UL+X  26
Jdir(:,5) = [-1.0,  0.0,  0.0]';                % UL-X
Jdir(:,6) = [ 0.0,  1.0,  0.0]';                % UL+Y
Jdir(:,7) = [ 1.0,  0.0,  0.0]';                % LR+X  27
Jdir(:,8) = [-1.0,  0.0,  0.0]';                % LR-X
Jdir(:,9) = [ 0.0, -1.0,  0.0]';                % LR-Y
Jdir(:,10)= [ 1.0,  0.0,  0.0]';                % LL+X  28
Jdir(:,11)= [-1.0,  0.0,  0.0]';                % LL-X
Jdir(:,12)= [ 0.0,  1.0,  0.0]';                % LL+Y

% RCS Jet Locations
Jloc(:,1) = [0.0,  73.7, -185.0]';               % UR  25
Jloc(:,2) = [0.0,  73.7, -185.0]';               % UR  
Jloc(:,3) = [0.0,  73.7, -185.0]';               % UR  
Jloc(:,4) = [0.0, -65.6, -185.0]';               % UL  26
Jloc(:,5) = [0.0, -65.6, -185.0]';               % UL
Jloc(:,6) = [0.0, -65.6, -185.0]';               % UL
Jloc(:,7) = [0.0,  73.7,  144.0]';               % LR  27
Jloc(:,8) = [0.0,  73.7,  144.0]';               % LR  
Jloc(:,9) = [0.0,  73.7,  144.0]';               % LR  
Jloc(:,10)= [0.0, -65.6,  144.0]';               % LL  28
Jloc(:,11)= [0.0, -65.6,  144.0]';               % LL  
Jloc(:,12)= [0.0, -65.6,  144.0]';               % LL  

Accel=zeros(3,nt);                               % Accelerat Matrix from all jets
for i=1:nt; 
    Accel(:,i)= Th*cross(Jloc(:,i),Jdir(:,i));   % Torques Matrix from all jets
end 
Accel=JI*Accel;                                  % Accelerat Matrix from all jets

% Phase Plane Logic in (deg)
ang_acc=Th*[2*160/J(1,1), 4*160/J(2,2), 4*70/J(3,3)]*15; % [0.03,  0.1,  0.014]*0.02 [0.08, 0.48, 0.08]/100
deadband = [1.0,  1.0,  1.0]*0.5;                % RCS dead-band
kledge   = [1.2,  1.2,  1.2];
ratlim_up= [0.14, 0.08, 0.13]*0.5;               % Upper rate Limit [0.14, 0.08, 0.13]*0.5
ratlim_lo= [0.14, 0.08, 0.13]*0.33*0.5;          % Lower rate Limit [0.14, 0.08, 0.13]*0.45*0.5
Na_max=0.636/(deadband(1)*d2r);                  % Max Describing Function
Kr(1)= ratlim_up(1) /(2*ang_acc(1));             % attit + rate mixing gain
Kr(2)= ratlim_up(2) /(2*ang_acc(2));
Kr(3)= ratlim_up(3) /(2*ang_acc(3));

% Command Shaper Parameters
thecmd= 20;                                      % Rotation Command (deg) TEA=7.086
com_dir=[-0.0706; 0.9032; 0.4234];               % TEA Command Direction 
com_dir=[1; -1; -1];                              % Command Direction Unit Vector
com_dir=com_dir/sqrt(com_dir'*com_dir);

Wdot_Lim_CMG=0.0001*d2r; Wlim_CMG=0.01*d2r;         % CMG Shaper accel & rate limits (0.0001,0.01 deg/s)
WlimC=min(Wlim_CMG,sqrt(abs(thecmd*d2r)*Wdot_Lim_CMG)+0.5*(wbm^2));
KshC=2*Wdot_Lim_CMG/WlimC;                          % Command Shaper Gain

Wdot_Lim_RCS=0.02*d2r; Wlim_RCS=0.6*d2r;            % RCS Shaper accel & rate limits (0.02,0.06 deg/s)
WlimR=min(Wlim_RCS,sqrt(abs(thecmd*d2r)*Wdot_Lim_RCS)+0.5*(wbm^2));
KshR=2*Wdot_Lim_RCS/WlimR;                          % Command Shaper Gain