% LQR Design for Gravity Gradient Momentum Management --------
start;
[Al, Bl, Cl, Dl]= lvlh_plant;                    % Load the LVLH Design Plant Model 
[Ag, Bg, Cg, Dg]= augm_plant;                    % Load the Augmented Design Plant Model 
[A0,B0,C0,D0]=linmod('Augm_Vehicle');            % Create State-Space system for ...
sys=ss(A0,B0,C0,D0);                             % Analyze the Augmented System
sys=ss(Ag,Bg,Cg,Dg);                             % Analyze the Augmented System
Q0=diag([0.1,  1.e+5,  0.1, ...                  % lvlh attitude weights
         0.1,  0.1,    0.1, ...                  % lvlh rate weights
         3.e-12, 1.e-11, 3.e-12, ...             % CMG Momentum weights
         1.e-11, 3.e-13, 1.e-11]);               % CMG Moment-Integral weights
R0=diag([1, 1, 1]*1.e-3);                        % CMG Control torque Weights
[Kpqr,S,E] = lqr(sys,Q0,R0)
save Kpqr.mat Kpqr -ascii                        % Save the LQR gains in Kpqr.mat
[A1,B1,C1,D1]=linmod('Simple_Sim'); eig(A1)      % Create State-Space system for ...

