% LQR Design for Gravity Gradient Momentum Management --------
start;
[Ad, Bd, Cd, Dd]= design_plant;                  % Load the Rigid Design Plant Model 
[A0,B0,C0,D0]=linmod('Augm_Vehicle');            % Create State-Space system for ...
sys=ss(A0,B0,C0,D0);                             % Analyze the Augmented System
sys=ss(Ag,Bg,Cg,Dg);                             % Analyze the Augmented System
Q0=diag([0.1,  10,  0.1, ...                     % lvlh attitude weights
         0.1,   1,  0.1, ...                     % lvlh rate weights
         1.e-10, 1.e-12, 1.e-10, ...             % CMG Momentum weights
         1.e-12, 3.e-13, 1.e-12, ...             % CMG Moment-Integral weights
         1.e-5,1.e-5, 1.e-5,1.e-5]);             % Disturb Accomod Filter weights
R0=diag([1, 1, 1]*1.0e-2);                              % CMG Control torque Weights
[Kpqr,S,E] = lqr(sys,Q0,R0)
save Kpqr.mat Kpqr -ascii                        % Save the LQR gains in Kpqr.mat
[A1,B1,C1,D1]=linmod('Simple_Sim'); eig(A1)      % Create State-Space system for ...

